cURL
curl --request GET \ --url https://api.blend.money/extern/{neobankId}/{accountTypeId}/account/{accountId}/positions \ --header 'X-API-Key: <api-key>'
{ "status": "<string>", "data": { "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "safeAddress": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "events": [ { "kind": "DEPOSIT", "eventType": "<string>", "safeAddress": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "vaultId": "<string>", "chainId": 1, "blockNumber": "<string>", "transactionHash": "<string>", "logIndex": "<string>", "blockTime": "2023-11-07T05:31:56Z", "amount": "<string>", "usdPrice": "<string>", "tokenAddress": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "tokenSymbol": "<string>", "tokenDecimals": 123 } ] } }
Returns all deposit, withdrawal, and rebalance events for the account across all deployed chains, sorted by block time descending.
SHA-256 hashed API key issued per organization
Account UUID (returned by GET /account)
Position events
"success"
Show child attributes
Was this page helpful?